Subject: Re: linux-next: manual merge of the sched-ext tree with the tip tree

From: Tejun Heo <[email-masked]>
Date: Mon, 9 Mar 2026 10:02:04 -1000

On Mon, Mar 09, 2026 at 06:49:44PM +0000, Mark Brown wrote:
> Hi all,
> 
> Today's linux-next merge of the sched-ext tree got a conflict in:
> 
>   kernel/sched/ext.c
> 
> between commits:
> 
>   c2a57380df9dd ("sched: Replace use of system_unbound_wq with system_dfl_wq")
> 
> from the tip tree and commit:
> 
>   cde94c032b32b ("sched_ext: Make watchdog sub-sched aware")
> 
> from the sched-ext tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

I pulled in sched/core into sched_ext/for-7.1 and resolved the conflict.

> I do note there's another system_unbound_wq usage there which for some
> reason wasn't updated...

Yeah, I'll queue a patch to convert that one too.

Thanks.

-- 
tejun